Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(10)

Issue 2473263003: Set "Service-Worker-Navigation-Preload" header (Closed)

Created:
2 years, 7 months ago by horo
Modified:
2 years, 7 months ago
Reviewers:
falken
CC:
chromium-reviews, michaeln, jsbell+serviceworker_chromium.org, shimazu+serviceworker_chromium.org, serviceworker-reviews, jam, nhiroki, kinuko+serviceworker, horo+watch_chromium.org, darin-cc_chromium.org, kinuko+watch, tzik, blink-worker-reviews_chromium.org
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Set "Service-Worker-Navigation-Preload" header for the navigation requests. https://github.com/w3c/ServiceWorker/issues/920#issuecomment-251150270 BUG=649558 Committed: https://crrev.com/754e439177beb1271aeb6b0153e598fc2eb6d084 Cr-Commit-Position: refs/heads/master@{#430559}

Patch Set 1 #

Total comments: 8

Patch Set 2 : incorporated falken's comment #

Unified diffs Side-by-side diffs Delta from patch set Stats (+219 lines, -127 lines) Patch
M content/browser/service_worker/service_worker_browsertest.cc View 1 23 chunks +212 lines, -125 lines 0 comments Download
M content/browser/service_worker/service_worker_fetch_dispatcher.cc View 1 3 chunks +7 lines, -2 lines 0 comments Download

Messages

Total messages: 24 (17 generated)
horo
falken@ Please review this.
2 years, 7 months ago (2016-11-04 10:51:56 UTC) #12
horo
falken@ Please review this.
2 years, 7 months ago (2016-11-04 10:51:57 UTC) #13
falken
lgtm https://codereview.chromium.org/2473263003/diff/40001/content/browser/service_worker/service_worker_browsertest.cc File content/browser/service_worker/service_worker_browsertest.cc (right): https://codereview.chromium.org/2473263003/diff/40001/content/browser/service_worker/service_worker_browsertest.cc#newcode1596 content/browser/service_worker/service_worker_browsertest.cc:1596: " 'var channel = new MessageChannel();\\n' +\n" Sorry, ...
2 years, 7 months ago (2016-11-07 06:09:39 UTC) #16
horo
https://codereview.chromium.org/2473263003/diff/40001/content/browser/service_worker/service_worker_browsertest.cc File content/browser/service_worker/service_worker_browsertest.cc (right): https://codereview.chromium.org/2473263003/diff/40001/content/browser/service_worker/service_worker_browsertest.cc#newcode1596 content/browser/service_worker/service_worker_browsertest.cc:1596: " 'var channel = new MessageChannel();\\n' +\n" On 2016/11/07 ...
2 years, 7 months ago (2016-11-08 08:19:49 UTC) #17
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2473263003/60001
2 years, 7 months ago (2016-11-08 08:20:51 UTC) #20
commit-bot: I haz the power
Committed patchset #2 (id:60001)
2 years, 7 months ago (2016-11-08 09:47:07 UTC) #22
commit-bot: I haz the power
2 years, 7 months ago (2016-11-08 09:49:52 UTC) #24
Message was sent while issue was closed.
Patchset 2 (id:??) landed as
https://crrev.com/754e439177beb1271aeb6b0153e598fc2eb6d084
Cr-Commit-Position: refs/heads/master@{#430559}

Powered by Google App Engine
This is Rietveld 408576698